<template lang="pug">
  button.gpm-button(
    :class="classes"
    @click="onClickHandler"
  )
    .gpm-button__prev-icon
      GPMIcon(v-if="prevIcon" :name="prevIcon")
    .gpm-button__content
      slot
    .gpm-button__append-icon
      GPMIcon(v-if="appendIcon" :name="appendIcon")
</template>

<script lang="ts" src="./script.ts"></script>
<style lang="scss" src="./style.scss"></style>
